Get the shared assets used in an episode

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/episodes/{episode_id}/assets/shared-used

Get the shared assets of other projects that are cast in an episode.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • episode_id string(uuid) Required

    Unique identifier of the episode

Query parameters

  • page integer

    Page to get, answered as an object with data, total, nb_pages, limit, offset and page. Without page nor limit, the route returns the full list.

  • limit integer

    Number of rows in a page, or in a request of a cursor walk

  • cursor_id string(uuid)

    Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit

Responses

  • 200 application/json

    The list of shared assets

    Hide response attributes Show response attributes object
    • id string(uuid)

      Asset unique identifier

    • name string

      Asset name

    • project_id string(uuid)

      Original project identifier

    • entity_type_id string(uuid)

      Asset type identifier

    • is_shared boolean

      Whether the asset is shared

    • episode_id string(uuid)

      Episode identifier

  • 403

    You do not have access to this project

GET /data/projects/{project_id}/episodes/{episode_id}/assets/shared-used
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/a24a6ea4-ce75-4665-a070-57453082c25/assets/shared-used" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/a24a6ea4-ce75-4665-a070-57453082c25/assets/shared-used"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Character Name",
    "project_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "entity_type_id": "c46c80c6-e097-6887-c292-79675204e470",
    "is_shared": true,
    "episode_id": "d57d91d7-f108-7998-d403-80786315f580"
  }
]